grid = plt.GridSpec(3, 2, hspace=0.4)
plt.figure(figsize=(6.7, 8))

for square, name in zip(grid, ["MoS2", "WS2", "MoSe2", "WSe2", "MoTe2", "WTe2"]):
    model = pb.Model(group6_tmd.monolayer_3band(name), pb.translational_symmetry())
    solver = pb.solver.lapack(model)

    k_points = model.lattice.brillouin_zone()
    gamma = [0, 0]
    k = k_points[0]
    m = (k_points[0] + k_points[1]) / 2

    plt.subplot(square, title=name)
    bands = solver.calc_bands(gamma, k, m, gamma)
    bands.plot(point_labels=[r"$\Gamma$", "K", "M", r"$\Gamma$"], lw=1.5)